using System;
using System.Data;
using System.Xml;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Web;
using IlgharCMS;
using IlgharCMS.SystemModule;
public partial class CLanguageMenu : IlgharCMS.Lib.AdminUserControlBase
{
public CLanguageMenu()
: base("language_menu.dwt.ascx")
{}
protected XmlDocument _xmlTemplate;
protected override void OnInit(EventArgs e)
{
base.OnInit(e);
_xmlTemplate = XmlData.GetXmlDocument();
if (!String.IsNullOrEmpty(Request.QueryString["GetPageCount"]))
                            {
                                Response.Write(1);
                                Response.End();
                            }
                        
}

                            protected int t71IDCounter = 0;
                            protected object t71IDRecord = null;
                            private DataTable t71IDData;
                            protected DataTable t71ID
                            {
                                get
                                {
                                    if (t71IDData != null)
                                        return t71IDData;

                                    t71IDData = t71ID_;
                                    return t71IDData;
                                }
                            }
                        
                        protected DataTable t71ID_
                        {
                            get
                            {
                                t71IDData = Manager.Languages;
                                return t71IDData;
                            }
                        }
                        protected string t71
                        {
                            get
                            {
                                XmlNode node = _xmlTemplate.SelectSingleNode("//t71");
                                Dictionary<string, object> replacementPair = new Dictionary<string, object>();
                                
                                        replacementPair["{#t199#}"] = new CustomBuild(
                                                                        delegate(DataRow record, int index)
                                                                        {string t199 = String.Empty;
if ((!String.Equals(t71ID.Rows[t71IDCounter][IlgharCMS.SystemModule.Alias.Language.Ab],ContentLang)))
{t199 = _xmlTemplate.SelectSingleNode("/" + "/t199/If").InnerText;}

                                                                            return t199;
                                                                        }
                                                                        );
                                                replacementPair["{#Ab#}"] = IlgharCMS.SystemModule.Alias.Language.Ab;replacementPair["{#[IlgharCMS.SystemModule.Alias.Language.Name + PageLang]#}"] = IlgharCMS.SystemModule.Alias.Language.Name + PageLang;
                                StringBuilder all = Manager.Build(node, t71ID_, replacementPair, ref t71IDRecord, ref t71IDCounter);
                                
                                
                                
                                return all.ToString();
                            }
                        }
                      }
